# Uses of Interface
org.eclipse.emf.cdo.common.commit.CDOChangeSet

Packages that use CDOChangeSet
Package
Description
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOChangeSet in org.eclipse.emf.cdo.common.revision

Methods in org.eclipse.emf.cdo.common.revision that return CDOChangeSet
Modifier and Type
Method
Description
`static CDOChangeSet`
CDORevisionUtil.`createChangeSet(CDOBranchPoint startPoint, CDOBranchPoint endPoint, CDOChangeSetData data)`
`static CDOChangeSet`
CDORevisionUtil.`createChangeSet(CDOBranchPoint startPoint, CDOBranchPoint endPoint, CDOChangeSetData data, CDORevisionProvider startRevisionProvider)`
Creates a change set and retains the complete revisions at its start point for consumers that must interpret executable feature deltas against their actual common base.

## Uses of CDOChangeSet in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction with parameters of type CDOChangeSet
Modifier and Type
Method
Description
`CDOChangeSetData`
CDOMerger.`merge(CDOChangeSet target, CDOChangeSet source)`
Calculates the changes between a source `change set` and a target `change set` and returns the result relative to their common ancestor.
`CDOChangeSetData`
CDOMerger2.`merge(CDOChangeSet target, CDOChangeSet source)`
Deprecated.
`CDOChangeSetData`
CDOMergerBaseAware.`merge(CDOChangeSet target, CDOChangeSet source, CDORevisionProvider targetBaseProvider, CDORevisionProvider sourceBaseProvider, CDORevisionProvider resultBaseProvider)`
Merges the given target and source change sets using their respective base revisions.

## Uses of CDOChangeSet in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return CDOChangeSet
Modifier and Type
Method
Description
`CDOChangeSet`
AbstractChangeSetsConflictResolver.`getLocalChangeSet()`
`CDOChangeSet`
AbstractChangeSetsConflictResolver.`getRemoteChangeSet()`
`CDOChangeSet`
InternalCDOSession.MergeData.`getSourceChanges()`
`CDOChangeSet`
InternalCDOSession.MergeData.`getTargetChanges()`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOChangeSet
Modifier and Type
Method
Description
`CDOChangeSetData`
DefaultCDOMerger.`merge(CDOChangeSet target, CDOChangeSet source)`
`CDOChangeSetData`
DefaultCDOMerger.`merge(CDOChangeSet target, CDOChangeSet source, CDORevisionProvider targetBaseProvider, CDORevisionProvider sourceBaseProvider, CDORevisionProvider resultBaseProvider)`
Merges branch/remerge change sets while preserving their independently selected source and target bases.
`protected void`
CDOMergingConflictResolver.`resolveConflicts(Set<CDOObject> conflicts, CDOChangeSet remoteChangeSet)`
Constructors in org.eclipse.emf.spi.cdo with parameters of type CDOChangeSet
Modifier
Constructor
Description
``
`MergeData(CDOBranchPoint target, CDOBranchPoint source, CDOBranchPoint sourceBase, CDOBranchPoint targetBase, CDORevisionAvailabilityInfo targetInfo, CDORevisionAvailabilityInfo sourceInfo, CDORevisionAvailabilityInfo sourceBaseInfo, CDORevisionAvailabilityInfo targetBaseInfo, Set<CDOID> ids, CDOChangeSet targetChanges, CDOChangeSet sourceChanges)`
Deprecated.
As of 4.6 use `MergeData(CDOBranchPoint, CDORevisionAvailabilityInfo, CDOBranchPoint, CDORevisionAvailabilityInfo, Set, CDOChangeSet, CDOBranchPoint, CDORevisionAvailabilityInfo, CDOBranchPoint, CDORevisionAvailabilityInfo, Set, CDOChangeSet, CDOBranchPoint)`.
``
`MergeData(CDOBranchPoint target, CDORevisionAvailabilityInfo targetInfo, CDOBranchPoint targetBase, CDORevisionAvailabilityInfo targetBaseInfo, Set<CDOID> targetIDs, CDOChangeSet targetChanges, CDOBranchPoint source, CDORevisionAvailabilityInfo sourceInfo, CDOBranchPoint sourceBase, CDORevisionAvailabilityInfo sourceBaseInfo, Set<CDOID> sourceIDs, CDOChangeSet sourceChanges, CDOBranchPoint resultBase)`